> For the complete documentation index, see [llms.txt](https://docs.tomo.inc/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.tomo.inc/tomo-sdk/tomo-enterprise-sdk/for-babylon/integrate-mobile-wallet.md).

# Integrate Mobile Wallet

## Mobile Wallet Support

A third-party mobile wallet can easily inject the following object into window object to support all dApps that use the Tomo Connect SDK.

```javascript
export type InjectedTomo = {
  info: {
    name: string
    logo: string
  }
  cosmos?: TomoCosmosInjected
  bitcoin?: TomoBitcoinInjected
}

export type TomoBitcoinInjected =  {
  // connect
  requestAccounts: () => Promise<string[]>
  getAccounts: () => Promise<string[]>
  getPublicKey: () => Promise<string>
  signPsbt: (psbtHex: string) => Promise<string>
  signPsbts: (psbtsHexes: string[]) => Promise<string[]>
  getNetwork: () => Promise<Network>
  signMessage: (message: string, type: 'bip322-simple') => Promise<string>
  switchNetwork: (network: Network) => Promise<void>
  sendBitcoin: (to: string, amount: number) => Promise<string>
  pushTx?: (txHex: string) => Promise<string>
  getBalance?: (address: string) => Promise<number>
  getInscriptions?: (
    cursor?: number,
    size?: number
  ) => Promise<InscriptionResult[]>
  on?: (eventName: string, callBack: () => void) => void
  off?: (eventName: string, callBack: () => void) => void
}
```

For TomoCosmosInjected, please refer to the [Keplr](https://www.npmjs.com/package/@keplr-wallet/types?activeTab=code).

If your wallet already supports Bitcoin and Cosmos, you can simply use:

```javascript
window.injectedTomo = {
  info: {
    name: 'XYZ Wallet',
    logo: 'https://your.website/wallet.png'
  },
  bitcoin: window.yourBitcoin,
  cosmos: window.yourCosmos
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.tomo.inc/tomo-sdk/tomo-enterprise-sdk/for-babylon/integrate-mobile-wallet.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
